### Method

# GLib Private get

#### Declaration

    gpointer
    g_private_get (
      GPrivate* key
    )

#### Description

Returns the current value of the thread local variable `key`.

If the value has not yet been set in this thread, `NULL` is returned. Values are never copied between threads (when a new thread is created, for example).

#### Return value

Type: `gpointer`

The thread-local value.

The data is owned by the instance.
The return value can be `NULL`.